[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] make syntax-check: [sc_vulnerable_makefile_CVE-2009-4029] Error 1



Kenneth Nagin wrote:
> I upgrade automake, but now make syntac-check fails with because LIBTOOL is
> undefined.  I followed the instructions in the error message but it didn't
> help.
>
> [root hoover libvirt]# make syntax-check
>  cd .
> && /bin/sh /gpfs/reservoir/nagin/workspace/libvirt_tip/libvirt/build-aux/missing
>  --run automake-1.10 --gnu
> gnulib/lib/Makefile.am:21: Libtool library used but `LIBTOOL' is undefined
> gnulib/lib/Makefile.am:21:   The usual way to define `LIBTOOL' is to add
> `AC_PROG_LIBTOOL'

This is independent of "syntax-check".
I suspect you should run "make distclean" or use some
other method (e.g., like starting from a fresh clone) to ensure
that you've regenerated everything required.

Another possibility is that you built this new version of automake
yourself and installed it early in your path.  In that case,
it is not using the same internal search path, which causes
trouble unless you've also built libtool with the same $(prefix).

In any case, I would recommend your using automake-1.11.1 or newer
for all development.

> gnulib/lib/Makefile.am:21:   to `configure.ac' and run `aclocal' and
> `autoconf' again.
> gnulib/lib/Makefile.am:21:   If `AC_PROG_LIBTOOL' is in `configure.ac',
> make sure
> gnulib/lib/Makefile.am:21:   its definition is in aclocal's search path.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]